## ros-kinetic-urdf-test 1.0.4

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(urdf_test)

find_package(catkin REQUIRED COMPONENTS rospy)

catkin_python_setup()

###################################
## catkin specific configuration ##
###################################
catkin_package(
#  INCLUDE_DIRS include
#  LIBRARIES urdf_test
#  CATKIN_DEPENDS other_catkin_pkg
#  DEPENDS gtest
)

#############
## Install ##
#############
install(PROGRAMS
    scripts/test_urdf.py
    DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

install(DIRECTORY launch
    DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION})

=== debian/changelog ===
ros-kinetic-urdf-test (1.0.4-0xenial) xenial; urgency=high

  * Merge branch 'add-test-suffix' into 'master'
    Add test suffix
    See merge request qa/urdf_test!2
  * Add test suffix
  * Merge branch 'fix-package-dependency' into 'master'
    Fix package dependencies
    See merge request !1
  * Fix package dependencies
  * Contributors: Victor Lopez, davidfernandez

 -- davidfernandez <david.fernandez@pal-robotics.com>  Tue, 11 Dec 2018 23:00:00 -0000

ros-kinetic-urdf-test (1.0.3-0xenial) xenial; urgency=high

  * Rewrite in python for simplicity
  * Fix dependencies
  * Contributors: davidfernandez

 -- davidfernandez <david.fernandez@pal-robotics.com>  Mon, 17 Jul 2017 22:00:00 -0000

ros-kinetic-urdf-test (1.0.2-0xenial) xenial; urgency=high

  * Fix build rule to match install rule
  * Contributors: davidfernandez

 -- davidfernandez <david.fernandez@pal-robotics.com>  Sun, 16 Jul 2017 22:00:00 -0000

ros-kinetic-urdf-test (1.0.1-0xenial) xenial; urgency=high

  * Fix installation rules
  * Contributors: davidfernandez

 -- davidfernandez <david.fernandez@pal-robotics.com>  Sun, 16 Jul 2017 22:00:00 -0000

ros-kinetic-urdf-test (1.0.0-0xenial) xenial; urgency=high

  * Initial import
  * Contributors: davidfernandez

 -- davidfernandez <david.fernandez@pal-robotics.com>  Sun, 16 Jul 2017 22:00:00 -0000

=== debian/control ===
Source: ros-kinetic-urdf-test
Section: misc
Priority: extra
Maintainer: davidfernandez <david.fernandez@pal-robotics.com>
Build-Depends: debhelper (>= 9.0.0), ros-kinetic-catkin, ros-kinetic-rospy
Homepage: 
Standards-Version: 3.9.2

Package: ros-kinetic-urdf-test
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-kinetic-rospy, ros-kinetic-xacro
Description: The urdf_test package

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/kinetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/kinetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/kinetic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-kinetic-urdf-test//opt/ros/kinetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_install
